FAQ
i failed to install Catalyst::Plugin::Session::Store::FastMmap on
strawberry perl on windows

here is the install attempt output
basically i am installing all the modules necessary for trying the
tutorial in catalyst docs
this module is one those

CPAN Terminal> install Catalyst::Plugin::Session::Store::FastMmap

Installing Catalyst::Plugin::Session::Store::FastMmap (0.05)
Running [C:\strawberry\perl\bin\perl.exe
C:\strawberry\perl\bin\cpanp-run-perl.bat
C:\DOCUME~1\Ali\APPLIC~1\CPANPL~1\
510~1.0\build\Catalyst-Plugin-Session-Store-FastMmap-0.05\Makefile.PL ]...
Warning: prerequisite Cache::FastMmap 1.13 not found.
Writing Makefile for Catalyst::Plugin::Session::Store::FastMmap

Module 'Catalyst::Plugin::Session::Store::FastMmap' requires
'Cache::FastMmap' to be installed

If you don't wish to see this question anymore
you can disable it by entering the following commands on the prompt:
's conf prereqs 1; s save'

Should I install this module? [Y/n]: y
Running [C:\strawberry\perl\bin\perl.exe
C:\strawberry\perl\bin\cpanp-run-perl.bat
C:\DOCUME~1\Ali\APPLIC~1\CPANPL~1\
510~1.0\build\Cache-FastMmap-1.25\Makefile.PL ]...
Writing Makefile for Cache::FastMmap::CImpl
Writing Makefile for Cache::FastMmap
[ERROR] MAKE failed: Bad file descriptor

[ERROR] Unable to create a new distribution object for
'Cache::FastMmap' -- cannot continue

[ERROR] Failed to install 'Cache::FastMmap' as prerequisite for
'Catalyst::Plugin::Session::Store::FastMmap'

[ERROR] Unable to satisfy prerequisites for
'Catalyst::Plugin::Session::Store::FastMmap' -- aborting install

[ERROR] Unable to create a new distribution object for
'Catalyst::Plugin::Session::Store::FastMmap' -- cannot continue

*** Install log written to:
C:\Documents and Settings\Ali\Application
Data\.cpanplus\install-logs\Catalyst-Plugin-Session-Store-FastMmap-0.05-1
205933004.log

Error installing 'Catalyst::Plugin::Session::Store::FastMmap'
Problem installing one or more modules
*** You can view the complete error buffer by pressing 'p' ***

CPAN Terminal> p

[MSG] [Wed Mar 19 15:23:19 2008] Module
'Catalyst::Plugin::Session::Store::FastMmap' requires
'Cache::FastMmap' version
'1.13' to be installed
[HISTORY] [Wed Mar 19 15:23:21 2008] Should I install this module? [Y/n]: y
[ERROR] [Wed Mar 19 15:23:24 2008] MAKE failed: Bad file descriptor
[ERROR] [Wed Mar 19 15:23:24 2008] Unable to create a new distribution
object for 'Cache::FastMmap' -- cannot continue
[ERROR] [Wed Mar 19 15:23:24 2008] Failed to install 'Cache::FastMmap'
as prerequisite for 'Catalyst::Plugin::Session::S
tore::FastMmap'
[ERROR] [Wed Mar 19 15:23:24 2008] Unable to satisfy prerequisites for
'Catalyst::Plugin::Session::Store::FastMmap' -- a
borting install
[ERROR] [Wed Mar 19 15:23:24 2008] Unable to create a new distribution
object for 'Catalyst::Plugin::Session::Store::Fas
tMmap' -- cannot continue

CPAN Terminal>

Search Discussions

  • Rahed at Mar 19, 2008 at 8:03 pm

    On 3/19/08, Ali M. wrote:
    i failed to install Catalyst::Plugin::Session::Store::FastMmap on
    strawberry perl on windows
    Module 'Catalyst::Plugin::Session::Store::FastMmap' requires
    'Cache::FastMmap' to be installed
    Cache::FastMmap doesn't work on windows. It uses mmap and fcntl which are
    non-existent on windows.

    --
    Radek

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcatalyst @
categoriescatalyst, perl
postedMar 19, '08 at 1:25p
activeMar 19, '08 at 8:03p
posts2
users2
websitecatalystframework.org
irc#catalyst

2 users in discussion

Ali M.: 1 post Rahed: 1 post

People

Translate

site design / logo © 2022 Grokbase